import java.io.*;
import com.hp.hpl.jena.rdf.model.*;
import com.hp.hpl.jena.vocabulary.*;

public class Example1 {
	public static void main(String[] args) throws IOException {
		//	RDFf
		Model model = ModelFactory.createDefaultModel();
		//RDFf
		Resource tueda = model.createResource("http://somewhere/tueda");
		//\[XLq
		Resource org = model.createResource();
		tueda.addProperty(VCARD.FN, "c rv");
		tueda.addProperty(VCARD.ORG, org);
		org.addProperty(VCARD.Orgname, "dCH()");
		org.addProperty(VCARD.Orgunit, "J{");

		System.out.println("-------- ړȂ -----------");
		StmtIterator iter = model.listStatements();
		while (iter.hasNext()) {
			Statement stmt = iter.nextStatement();
			Resource subject = stmt.getSubject(); // get the subject
			Property predicate = stmt.getPredicate(); // get the predicate
			RDFNode object = stmt.getObject(); // get the object

			System.out.print("<" + subject + "> ");
			System.out.print("<" + predicate + "> ");
			if (object instanceof Resource)
				System.out.println("<" + object + ">. ");
			else
				System.out.println("\"" + object + "\".");
		}
		System.out.println("-------- ړȂi܂Łj -----------");

		System.out.println("-------- ړ -----------");
		iter = model.listStatements();
		while (iter.hasNext()) {
			Statement stmt = iter.nextStatement();
			Resource subject = stmt.getSubject(); // get the subject
			Property predicate = stmt.getPredicate(); // get the predicate
			RDFNode object = stmt.getObject(); // get the object

			//vcard̐ړ擾łȂ̂ŎŎw肵Ă
			model.setNsPrefix("vcard", "http://www.w3.org/2001/vcard-rdf/3.0#");
			

			/*****************  ****************/
			String sub;
			if (subject.getNameSpace() != null) {
				sub = model.getNsURIPrefix(subject.getNameSpace());
			} else
				sub = null;
			if (sub != null)
				System.out.print("<" + sub + ":" + subject.getLocalName() + "> ");
			else
				System.out.print("<" + subject + "> ");

			/***************** q ****************/
			String pre;
			if (predicate.getNameSpace() != null) {
				pre = model.getNsURIPrefix(predicate.getNameSpace());
			} else
				pre = null;

			if (pre != null)
				System.out.print("<" + pre + ":" + predicate.getLocalName() + "> ");
			else
				System.out.print("<" + predicate + "> ");

			/***************** ړI ****************/
			if (object instanceof Resource) {
				String obj;
				if (((Resource)object).getNameSpace() != null) {
					obj = model.getNsURIPrefix(((Resource)object).getNameSpace());
				} else
					obj = null;

				if (obj != null)
					System.out.println("<" + pre + ":" + ((Resource)object).getLocalName() + "> ");
				else
					System.out.println("<"+ object + "> ");

			} else
				System.out.println("\"" + object + "\" ");
			
		}
		System.out.println("-------- ړi܂Łj -----------");
	}
}