import java.util.Iterator;

import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdql.Query;
import com.hp.hpl.jena.rdql.QueryEngine;
import com.hp.hpl.jena.rdql.QueryExecution;
import com.hp.hpl.jena.rdql.QueryResults;
import com.hp.hpl.jena.rdql.ResultBinding;
import com.hp.hpl.jena.util.ModelLoader;

/**
* RDQLNG̃Tv
 */
public class Example5_2 {
	public static void main(String[] args) {
		Model model = ModelLoader.loadModel("file:data/example.rdf");
		String queryString =
		"SELECT ?fullName ?Resource\n"+
		"WHERE (?Resource, vCard:FN, ?fullName)\n"+
		"AND (?fullName eq \"a \")\n"+
		"USING vCard FOR <http://www.w3.org/2001/vcard-rdf/3.0#>";
		Query query = new Query(queryString);
		query.setSource(model);

		//NGs
		QueryExecution qe = new QueryEngine(query);
		QueryResults results = qe.exec();
		//NG̎sʂ\
		for (Iterator iter = results; iter.hasNext();) {
			ResultBinding res = (ResultBinding)iter.next();
			Object fullName = res.get("fullName");
			Object orgName = res.get("Resource");
			System.out.println("fullName = " + fullName + "\t orgName = " + orgName);

		}
		results.close();
	}
}
